# Pyinfuse

[![PyPI](https://img.shields.io/pypi/v/pyinfuse.svg)][pypi_]
[![Status](https://img.shields.io/pypi/status/pyinfuse.svg)][status]
[![Python Version](https://img.shields.io/pypi/pyversions/pyinfuse)][python version]
[![License](https://img.shields.io/pypi/l/pyinfuse)][license]

[![Read the documentation at https://pyinfuse.readthedocs.io/](https://img.shields.io/readthedocs/pyinfuse/latest.svg?label=Read%20the%20Docs)][read the docs]
[![Tests](https://github.com/nanosystemslab/pyinfuse/workflows/Tests/badge.svg)][tests]
[![Codecov](https://codecov.io/gh/nanosystemslab/pyinfuse/branch/main/graph/badge.svg)][codecov]

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]
[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi_]: https://pypi.org/project/pyinfuse/
[status]: https://pypi.org/project/pyinfuse/
[python version]: https://pypi.org/project/pyinfuse
[read the docs]: https://pyinfuse.readthedocs.io/
[tests]: https://github.com/nanosystemslab/pyinfuse/actions?workflow=Tests
[codecov]: https://app.codecov.io/gh/nanosystemslab/pyinfuse
[pre-commit]: https://github.com/pre-commit/pre-commit
[black]: https://github.com/psf/black

## Standard Infuse/Withdraw Pump 11 Elite Programmable Syringe Pumps

The **Pump 11 Elite Series** represents the cutting edge in syringe pump technology, offering a comprehensive solution for a wide range of experimental needs. Designed to maintain the legacy of a premier infusion pump, the Elite Series combines user-friendly operation with a high-resolution touch screen, facilitating an intuitive icon-based interface. This allows researchers to effortlessly create, save, and execute both simple and complex infusion methods without needing a computer.

## Features

- **Versatile Syringe Compatibility:** The pumps feature a newly designed mechanism that securely clamps syringes ranging from 0.5 µl to 60 ml for a single syringe setup, and 0.5 µl to 10 ml for dual syringe configurations, ensuring reliable and consistent performance across a wide variety of syringe sizes.
- **Enhanced Flow Performance:** Offering flow rates from 1.28 picoliters per minute up to 88.28 milliliters per minute, the Pump 11 Elite Series guarantees high accuracy and smooth flow for precise experimental control.
- **Flexible Configuration Options:** Available in both Infusion Only and Infusion/Withdrawal Programmable Models, with options for single or dual syringe racks to best meet your experimental requirements.
- **Advanced Connectivity:** Equipped with a USB serial port for direct computer control, RS-485 (or an optional RJ-11) ports for linking multiple pumps, and Digital I/O for remote operation, these pumps are built to integrate seamlessly into your laboratory setup.

For researchers seeking a reliable, accurate, and user-friendly infusion solution, the Pump 11 Elite Series offers unmatched capabilities to enhance experimental outcomes.

For more information visit [Harvard Apparatus](https://www.harvardapparatus.com/standard-infuse-withdraw-pump-11-elite-programmable-syringe-pumps.html).

- **Github repository**: <https://github.com/nanosystemslab/pyinfuse/>
- **Documentation** <https://nanosystemslab.github.io/pyinfuse/>

## Requirements

- Python <4.0, >=3.9
- Poetry
- Nox
- nox-poetry

## Installation

You can install _Pyinfuse_ via [pip] from [PyPI]:

```console
$ pip install pyinfuse
```

## Usage

Please see the [Command-line Reference] for details.

## Contributing

Contributions are very welcome.
To learn more, see the [Contributor Guide].

## License

Distributed under the terms of the [MIT license][license],
_Pyinfuse_ is free and open source software.

If you use this project in your research, please cite it using the following BibTeX entry:

```bibtex
@software{pyinfuse,
  author       = {Nakamura, Matthew and Renzo Claudio, Josh},
  title        = {{nanosystemslab/PyInfuse: Initial Release of Library}},
  month        = feb,
  year         = 2024,
  publisher    = {Zenodo},
  version      = {v0.0.1},
  doi          = {10.5281/zenodo.10602723},
  url          = {https://doi.org/10.5281/zenodo.10602723}
}
```

## Issues

If you encounter any problems,
please [file an issue] along with a detailed description.

## Credits

This project was generated from [@cjolowicz]'s [Hypermodern Python Cookiecutter] template.

[@cjolowicz]: https://github.com/cjolowicz
[pypi]: https://pypi.org/
[hypermodern python cookiecutter]: https://github.com/cjolowicz/cookiecutter-hypermodern-python
[file an issue]: https://github.com/nanosystemslab/pyinfuse/issues
[pip]: https://pip.pypa.io/

<!-- github-only -->

[license]: https://github.com/nanosystemslab/pyinfuse/blob/main/LICENSE
[contributor guide]: https://github.com/nanosystemslab/pyinfuse/blob/main/CONTRIBUTING.md
[command-line reference]: https://pyinfuse.readthedocs.io/en/latest/usage.html
